
# Class: ProductInformationDesignResources

## Hierarchy

* **ProductInformationDesignResources**

## Index

### Constructors

* [constructor](productinformationdesignresources.md#constructor)

### Properties

* [name](productinformationdesignresources.md#optional-name)
* [resourceId](productinformationdesignresources.md#optional-resourceid)
* [resourcePreview](productinformationdesignresources.md#optional-resourcepreview)
* [type](productinformationdesignresources.md#optional-type)
* [url](productinformationdesignresources.md#optional-url)

## Constructors

###  constructor

\+ **new ProductInformationDesignResources**(`dtoResource?`: ProductVariantResourceDto): *[ProductInformationDesignResources](productinformationdesignresources.md)*

**Parameters:**

Name | Type |
------ | ------ |
`dtoResource?` | ProductVariantResourceDto |

**Returns:** *[ProductInformationDesignResources](productinformationdesignresources.md)*

## Properties

### `Optional` name

• **name**? : *string | null*

Resource name.

___

### `Optional` resourceId

• **resourceId**? : *string | null*

Resource identifier.

___

### `Optional` resourcePreview

• **resourcePreview**? : *ProductVariantResourcePreview*

___

### `Optional` type

• **type**? : *any*

___

### `Optional` url

• **url**? : *string | null*

Resource url.
